#region License

/*
 * Copyright 2004 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#endregion

#region Imports

using System.Runtime.Remoting.Channels;
using NUnit.Framework;
using Spring.Context;
using Spring.Context.Support;

#endregion

namespace Spring.Remoting
{
	/// <summary>
    /// Unit tests for the RemotingConfigurerTests class.
	/// </summary>
	/// <author>Bruno Baia</author>
	[TestFixture]
    public class RemotingConfigurerTests : BaseRemotingTestFixture
	{
        [Test]
        [Explicit]
        public void ConfiguresUsingFilename()
        {
            Assert.AreEqual(1, ChannelServices.RegisteredChannels.Length);
            Assert.AreEqual(channel, ChannelServices.RegisteredChannels[0]);
            ChannelServices.UnregisterChannel(channel);
            Assert.AreEqual(0, ChannelServices.RegisteredChannels.Length);

            IApplicationContext ctx = new XmlApplicationContext("assembly://Spring.Services.Tests/Spring.Data.Spring.Remoting/remotingConfigurer.xml");
            ContextRegistry.RegisterContext(ctx);

            Assert.AreEqual(1, ChannelServices.RegisteredChannels.Length);
            Assert.AreEqual("tcp", ChannelServices.RegisteredChannels[0].ChannelName);
        }
	}
}
